<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>library_dir_dir/include/apl_lex_pseudo_chars.incl.pl1</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="pl1">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.pliRainbow_lv0_o0 { color: #add8e6; }
.pliRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
.pliRainbow_lv1_p0 { color: #ffffe0; }
.Macro { color: #00afaf; }
.Number { color: #ff5faf; }
.Keyword { color: #00afaf; }
.Comment { color: #808080; }
.Normal { color: #d0d0d0; background-color: #000000; padding-bottom: 1px; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span><span class="Comment">/* ====== BEGIN INCLUDE SEGMENT         apl_lex_pseudo_chars.incl.pl1 ============================= */</span>
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span><span class="Comment">/*  These are codes which are used by the lex as if they were characters,</span>
<span id="L4" class="LineNr"> 4 </span><span class="Comment">    for purposes of looking up in the char_index table in apl_lex_tables_.</span>
<span id="L5" class="LineNr"> 5 </span><span class="Comment">    In this way these codes lead to operator beads.</span>
<span id="L6" class="LineNr"> 6 </span><span class="Comment">    However these codes are not characters but special pseudo-characters</span>
<span id="L7" class="LineNr"> 7 </span><span class="Comment">    generated by the lex from multi-character sequences.</span>
<span id="L8" class="LineNr"> 8 </span><span class="Comment">    At present these codes start at 200 (decimal), which is a little above</span>
<span id="L9" class="LineNr"> 9 </span><span class="Comment">    the end of the regular characters.</span>
<span id="L10" class="LineNr">10 </span><span class="Comment">    6/18/73 DAM</span>
<span id="L11" class="LineNr">11 </span><span class="Comment">    Modified 740131 by PG for new system variables.</span>
<span id="L12" class="LineNr">12 </span><span class="Comment">    Modified 781115 by PG to add SemiColonCons.</span>
<span id="L13" class="LineNr">13 </span><span class="Comment">    Modified 790207 by William M. York to add file system functions.</span>
<span id="L14" class="LineNr">14 </span><span class="Comment">    Modified 811211 by H. Hoover (UofC) to add QuadCALL &amp; QuadCALLSemicolon.</span>
<span id="L15" class="LineNr">15 </span><span class="Comment">*/</span>
<span id="L16" class="LineNr">16 </span>
<span id="L17" class="LineNr">17 </span>
<span id="L18" class="LineNr">18 </span><span class="Keyword">dcl</span> <span class="pliRainbow_lv0_p0">(</span>
<span id="L19" class="LineNr">19 </span>          <span class="Normal">SDelta</span>                        <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">201</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L20" class="LineNr">20 </span>          <span class="Normal">TDelta</span>                        <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">202</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L21" class="LineNr">21 </span>          <span class="Normal">QuadCT</span>                        <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">203</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L22" class="LineNr">22 </span>          <span class="Normal">QuadIO</span>                        <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">204</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L23" class="LineNr">23 </span>          <span class="Normal">QuadLX</span>                        <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">205</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L24" class="LineNr">24 </span>          <span class="Normal">QuadPP</span>                        <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">206</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L25" class="LineNr">25 </span>          <span class="Normal">QuadPW</span>                        <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">207</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L26" class="LineNr">26 </span>          <span class="Normal">QuadRL</span>                        <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">208</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L27" class="LineNr">27 </span>          <span class="Normal">QuadAI</span>                        <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">209</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L28" class="LineNr">28 </span>          <span class="Normal">QuadLC</span>                        <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">210</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L29" class="LineNr">29 </span>          <span class="Normal">QuadTS</span>                        <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">211</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L30" class="LineNr">30 </span>          <span class="Normal">QuadTT</span>                        <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">212</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L31" class="LineNr">31 </span>          <span class="Normal">QuadUL</span>                        <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">213</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L32" class="LineNr">32 </span>          <span class="Normal">QuadWA</span>                        <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">214</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L33" class="LineNr">33 </span>          <span class="Normal">QuadWU</span>                        <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">215</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>                    <span class="Comment">/* extra */</span>
<span id="L34" class="LineNr">34 </span>          <span class="Normal">QuadCS</span>                        <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">216</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>                    <span class="Comment">/* extra */</span>
<span id="L35" class="LineNr">35 </span>          <span class="Normal">AssignSub</span>                     <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">217</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L36" class="LineNr">36 </span>          <span class="Normal">AssignIgnore</span>                  <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">218</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L37" class="LineNr">37 </span>          <span class="Normal">RightOprBracket</span>               <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">219</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L38" class="LineNr">38 </span>          <span class="Normal">QuadCR</span>                        <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">220</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L39" class="LineNr">39 </span>          <span class="Normal">QuadFX</span>                        <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">221</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L40" class="LineNr">40 </span>          <span class="Normal">QuadEX</span>                        <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">222</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L41" class="LineNr">41 </span>          <span class="Normal">QuadNL</span>                        <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">223</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L42" class="LineNr">42 </span>          <span class="Normal">QuadNC</span>                        <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">224</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L43" class="LineNr">43 </span>          <span class="Normal">QuadDL</span>                        <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">225</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L44" class="LineNr">44 </span>          <span class="Normal">QuadSVO</span>                       <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">226</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L45" class="LineNr">45 </span>          <span class="Normal">QuadSVC</span>                       <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">227</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L46" class="LineNr">46 </span>          <span class="Normal">QuadSVQ</span>                       <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">228</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L47" class="LineNr">47 </span>          <span class="Normal">QuadSVR</span>                       <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">229</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L48" class="LineNr">48 </span>          <span class="Normal">QuadIT</span>                        <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">230</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L49" class="LineNr">49 </span>          <span class="Normal">QuadEC</span>                        <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">231</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L50" class="LineNr">50 </span>          <span class="Normal">QuadAF</span>                        <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">232</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L51" class="LineNr">51 </span>          <span class="Normal">SemiColonCons</span>                 <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">233</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L52" class="LineNr">52 </span>          <span class="Normal">QuadFADDACL</span>                   <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">234</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L53" class="LineNr">53 </span>          <span class="Normal">QuadFAPPEND</span>                   <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">235</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L54" class="LineNr">54 </span>          <span class="Normal">QuadFCREATE</span>                   <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">236</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L55" class="LineNr">55 </span>          <span class="Normal">QuadFDELETEACL</span>                <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">237</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L56" class="LineNr">56 </span>          <span class="Normal">QuadFDROP</span>                     <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">238</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L57" class="LineNr">57 </span>          <span class="Normal">QuadFERASE</span>                    <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">239</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L58" class="LineNr">58 </span>          <span class="Normal">QuadFHOLD</span>                     <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">240</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L59" class="LineNr">59 </span>          <span class="Normal">QuadFLIB</span>                      <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">241</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L60" class="LineNr">60 </span>          <span class="Normal">QuadFLIM</span>                      <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">242</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L61" class="LineNr">61 </span>          <span class="Normal">QuadFLISTACL</span>                  <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">243</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L62" class="LineNr">62 </span>          <span class="Normal">QuadFNAMES</span>                    <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">244</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L63" class="LineNr">63 </span>          <span class="Normal">QuadFNUMS</span>                     <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">245</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L64" class="LineNr">64 </span>          <span class="Normal">QuadFRDCI</span>                     <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">246</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L65" class="LineNr">65 </span>          <span class="Normal">QuadFREAD</span>                     <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">247</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L66" class="LineNr">66 </span>          <span class="Normal">QuadFRENAME</span>                   <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">248</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L67" class="LineNr">67 </span>          <span class="Normal">QuadFREPLACE</span>                  <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">249</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L68" class="LineNr">68 </span>          <span class="Normal">QuadFSETACL</span>                   <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">250</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L69" class="LineNr">69 </span>          <span class="Normal">QuadFSIZE</span>                     <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">251</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L70" class="LineNr">70 </span>          <span class="Normal">QuadFSTIE</span>                     <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">252</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L71" class="LineNr">71 </span>          <span class="Normal">QuadFTIE</span>                      <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">253</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L72" class="LineNr">72 </span>          <span class="Normal">QuadFUNTIE</span>                    <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">254</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L73" class="LineNr">73 </span>          <span class="Normal">QuadCALL</span>                      <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">255</span><span class="pliRainbow_lv1_p0">)</span><span class="pliRainbow_lv0_o0">,</span>
<span id="L74" class="LineNr">74 </span>          <span class="Normal">QuadCALLSemicolon</span>             <span class="Macro">init</span><span class="pliRainbow_lv1_p0">(</span><span class="Number">256</span><span class="pliRainbow_lv1_p0">)</span>
<span id="L75" class="LineNr">75 </span>    <span class="pliRainbow_lv0_p0">)</span> <span class="Macro">fixed</span> <span class="Macro">binary</span> <span class="Macro">internal</span> <span class="Macro">static</span><span class="Normal">;</span>
<span id="L76" class="LineNr">76 </span>
<span id="L77" class="LineNr">77 </span><span class="Comment">/* ------ END INCLUDE SEGMENT           apl_lex_pseudo_chars.incl.pl1 ----------------------------- */</span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
